#ifndef CONTACTS_PROXYMODEL_H
#define CONTACTS_PROXYMODEL_H

#include <QSortFilterProxyModel>

#include "fly-mail-shared_global.h"

namespace FlyMail {

class FLYMAILSHARED_EXPORT ContactsProxyModel : public QSortFilterProxyModel
{
    Q_OBJECT
public:
    explicit ContactsProxyModel(QObject *parent = nullptr);

signals:

public slots:
    void setSourceModel(QAbstractItemModel *sourceModel) override;
    void sort();

protected:
    //bool lessThan(const QModelIndex &left, const QModelIndex &right) const; // TODO: default sort is incorrect
};

}

#endif // CONTACTS_PROXYMODEL_H
