#ifndef OUTGOINGSERVER_H
#define OUTGOINGSERVER_H

#include "server.h"

namespace FlyMail {

class FLYMAILSHARED_EXPORT OutgoingServer : public Server
{
    Q_OBJECT
public:
    explicit OutgoingServer(QObject *parent = nullptr);

    bool sendEmail(vmime::shared_ptr<vmime::message> &message) override;
    bool getEmail(int index = 0) override;
    void deleteEmail(int index) override;

signals:

public slots:
    Server * clone() override;

private:
    bool connect() override;

    vmime::shared_ptr <vmime::net::transport> m_transport;
};

}

#endif // OUTGOINGSERVER_H
